# coding: utf-8


from .base import BasePlugin


class Plugin(BasePlugin):

    def get_info(self, *args, **kwargs):
        return NotImplemented

    def get_all_roles(self, *args, **kwargs):
        return NotImplemented

    def get_roles(self, *args, **kwargs):
        return NotImplemented

    def get_memberships(self, *args, **kwargs):
        return NotImplemented

    def add_role(self, **kwargs):
        return {'data': kwargs.get('fields_data')}

    def remove_role(self, *args, **kwargs):
        return NotImplemented

    def add_group_membership(self, *args, **kwargs):
        return {'code': 0}

    def remove_group_membership(self, *args, **kwargs):
        return {'code': 0}
